Cria um template a partir de um projeto existente
curl --request POST \
--url https://app.tarefy.com/nodeapi/v2/templates/from-project \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"projectId": 2209,
"name": "Template Projeto Comercial",
"description": "Template gerado a partir de um projeto existente",
"color": "#4BD4F2",
"icon": "layout-template",
"type": "quadro"
}
'import requests
url = "https://app.tarefy.com/nodeapi/v2/templates/from-project"
payload = {
"projectId": 2209,
"name": "Template Projeto Comercial",
"description": "Template gerado a partir de um projeto existente",
"color": "#4BD4F2",
"icon": "layout-template",
"type": "quadro"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
projectId: 2209,
name: 'Template Projeto Comercial',
description: 'Template gerado a partir de um projeto existente',
color: '#4BD4F2',
icon: 'layout-template',
type: 'quadro'
})
};
fetch('https://app.tarefy.com/nodeapi/v2/templates/from-project', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}Templates
Cria um template a partir de um projeto existente
POST
/
v2
/
templates
/
from-project
Cria um template a partir de um projeto existente
Authorizations
JWT token obtained from /v2/auth/login. Send it in the header:
Authorization: Bearer <your_token>
Body
application/json
Response
200 - application/json
Template criado a partir do projeto com sucesso
The response is of type object.
âI

